Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.reflect.pojo
Class EnhancedPojoDescriptorFactory

    java.lang.Object
      org.apache.cayenne.reflect.PersistentDescriptorFactory
          org.apache.cayenne.reflect.pojo.EnhancedPojoDescriptorFactory

All Implemented Interfaces:
  ClassDescriptorFactory

Direct Known Subclasses:
  JpaClassDescriptorFactory

    public class EnhancedPojoDescriptorFactory

extends PersistentDescriptorFactory

A `ClassDescriptorFactory` used to create descriptors for the enhanced POJO's.

Since:
  3.0
Author:
  Andrus Adamchik

Field Summary
`protected FaultFactory` | `faultFactory`

Fields inherited from class org.apache.cayenne.reflect.PersistentDescriptorFactory
`descriptorMap`

Constructor Summary
`EnhancedPojoDescriptorFactory(ClassDescriptorMap descriptorMap, FaultFactory faultFactory)`

Method Summary
`protected void` | `createToManyCollectionProperty(PersistentDescriptor descriptor, ObjRelationship relationship)`
`protected void` | `createToManyListProperty(PersistentDescriptor descriptor, ObjRelationship relationship)`
`protected void` | `createToManyMapProperty(PersistentDescriptor descriptor, ObjRelationship relationship)`
`protected void` | `createToManySetProperty(PersistentDescriptor descriptor, ObjRelationship relationship)`
`protected void` | `createToOneProperty(PersistentDescriptor descriptor, ObjRelationship relationship)`
`protected ClassDescriptor` | `getDescriptor(ObjEntity entity, Class entityClass)`

Methods inherited from class org.apache.cayenne.reflect.PersistentDescriptorFactory
`createAccessor, createAttributeProperty, createDescriptor, createEmbeddableAccessor, createEmbeddedAttributeProperty, createMapKeyAccessor, getDescriptor, indexSubclassDescriptors`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### faultFactory

    protected FaultFactory faultFactory

Constructor Detail

### EnhancedPojoDescriptorFactory

    public EnhancedPojoDescriptorFactory(ClassDescriptorMap descriptorMap,
                                         FaultFactory faultFactory)

Method Detail

### getDescriptor

    protected ClassDescriptor getDescriptor(ObjEntity entity,
                                            Class entityClass)

  Overrides:
    `getDescriptor` in class `PersistentDescriptorFactory`

### createToManyListProperty

    protected void createToManyListProperty(PersistentDescriptor descriptor,
                                            ObjRelationship relationship)

  Specified by:
    `createToManyListProperty` in class `PersistentDescriptorFactory`

### createToManyMapProperty

    protected void createToManyMapProperty(PersistentDescriptor descriptor,
                                           ObjRelationship relationship)

  Specified by:
    `createToManyMapProperty` in class `PersistentDescriptorFactory`

### createToManySetProperty

    protected void createToManySetProperty(PersistentDescriptor descriptor,
                                           ObjRelationship relationship)

  Specified by:
    `createToManySetProperty` in class `PersistentDescriptorFactory`

### createToManyCollectionProperty

    protected void createToManyCollectionProperty(PersistentDescriptor descriptor,
                                                  ObjRelationship relationship)

  Specified by:
    `createToManyCollectionProperty` in class `PersistentDescriptorFactory`

### createToOneProperty

    protected void createToOneProperty(PersistentDescriptor descriptor,
                                       ObjRelationship relationship)

  Specified by:
    `createToOneProperty` in class `PersistentDescriptorFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Cayenne. All Rights Reserved.